BasicMarkerFactory (SLF4J 1.7.28 API)
Date: 2019-08-10

org.slf4j.helpers

## Class BasicMarkerFactory

- java.lang.Object
- - org.slf4j.helpers.BasicMarkerFactory

- All Implemented Interfaces:
    IMarkerFactory

      public class BasicMarkerFactory
      extends Object
      implements IMarkerFactory

  An almost trivial implementation of the `IMarkerFactory` interface which creates `BasicMarker` instances.

  Simple logging systems can conform to the SLF4J API by binding `MarkerFactory` with an instance of this class.

  Author:
    Ceki Gülcü

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BasicMarkerFactory()` Regular users should not create `BasicMarkerFactory` instances.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `detachMarker(String name)` Detach an existing marker.
    `boolean` | `exists(String name)` Does the name marked already exist?
    `Marker` | `getDetachedMarker(String name)` Create a marker which is detached (even at birth) from this IMarkerFactory.
    `Marker` | `getMarker(String name)` Manufacture a `BasicMarker` instance by name.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BasicMarkerFactory

          public BasicMarkerFactory()

      Regular users should not create `BasicMarkerFactory` instances. `Marker` instances can be obtained using the static `MarkerFactory.getMarker(java.lang.String)` method.

  - ### Method Detail

    - #### getMarker

          public Marker getMarker(String name)

      Manufacture a `BasicMarker` instance by name. If the instance has been created earlier, return the previously created instance.
      Specified by:
        `getMarker` in interface `IMarkerFactory`
      Parameters:
        `name` - the name of the marker to be created
      Returns:
        a Marker instance

    - #### exists

          public boolean exists(String name)

      Does the name marked already exist?
      Specified by:
        `exists` in interface `IMarkerFactory`
      Parameters:
        `name` - logger name to check for
      Returns:
        true id the marker exists, false otherwise.

    - #### detachMarker

          public boolean detachMarker(String name)

      Description copied from interface: `IMarkerFactory`
      Detach an existing marker.

      Note that after a marker is detached, there might still be "dangling" references to the detached marker.

      Specified by:
        `detachMarker` in interface `IMarkerFactory`
      Parameters:
        `name` - The name of the marker to detach
      Returns:
        whether the marker could be detached or not

    - #### getDetachedMarker

          public Marker getDetachedMarker(String name)

      Description copied from interface: `IMarkerFactory`
      Create a marker which is detached (even at birth) from this IMarkerFactory.
      Specified by:
        `getDetachedMarker` in interface `IMarkerFactory`
      Parameters:
        `name` - marker name
      Returns:
        a dangling marker

Copyright © 2005–2019 QOS.ch. All rights reserved.